%lib_package pcsclite 1
%lib_package musclecard 0

Summary: Middleware for accessing smart cards
Name: pcsc-lite
Version: 1.4.0
Release: 9%{?dist}
License: BSD
Group: Application/System
URL: http://www.linuxnet.com/middle.html
Source0: http://www.linuxnet.com/middleware/files/%{name}-%{version}.tar.gz
Source1: http://www.linuxnet.com/middleware/files/%{name}-%{version}.tar.gz.asc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: bison, m4, flex, gcc-c++
BuildRequires: libusb-devel >= 0.1.7
Provides: pcsc-lite-libs = %{evr}
Obsoletes: pcsc-lite-libs < %{evr}

%devel_extra_Requires flex

%description
Welcome to PCSC Lite.  The purpose of PCSC Lite is to
provide a Windows(R) SCard interface in a very small form factor for
communicating to smartcards and readers. PCSC Lite can be compiled
directly to a desired reader driver or can be used to dynamically
allocate/deallocate reader drivers at runtime (default).

%prep
%setup -q

%build
%configure \
          --enable-usb \
          --enable-syslog \
          --enable-debugatr \
          --enable-runpid=/var/run/pcsc-lite.pid
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
mv %{buildroot}%{_prefix}/doc %{buildroot}%{_defaultdocdir}/%{name}-%{version}
cp -a README* AUTHORS ChangeLog COPYING DRIVERS HELP NEWS SECURITY doc/* %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* AUTHORS ChangeLog COPYING DRIVERS HELP NEWS SECURITY doc/*
%dir %{_sysconfdir}/reader.conf.d
%config(noreplace) %{_sysconfdir}/reader.conf.d/reader.conf
#%{_bindir}/bundleTool
#%{_bindir}/formaticc
#%{_sbindir}/installifd
#%{_bindir}/pcsc_demo
%{_sbindir}/pcscd
%{_sbindir}/update-reader.conf
#%{_mandir}/man1/formaticc.1*
#%{_mandir}/man8/bundleTool.8*
%{_mandir}/man8/pcscd.8*
%{_mandir}/man5/reader.conf.5*
%{_mandir}/man8/update-reader.conf.8*

%changelog
* Sun Mar 11 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.4.0-9
- Add pcsc-lite-libs compatibility override.
- Update to 1.4.0.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3.2-8
- Update to 1.3.2.

* Fri Mar 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.3.0.

* Tue Jan 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.

* Tue May 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Reintroduce dependcy to flex, -devel needs it.

* Fri May  7 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Remove dependency on flex (Chris Rouch <crouch@pobox.com>).

* Tue Mar 30 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


